Subject: Re: bug#46964: [ELPA]: [PATCH] Replace modus-*-theme with modus-themes from :core

From: Stefan Monnier <[email-masked]>
Date: Tue, 09 Mar 2021 15:49:38 -0500

Protesilaos Stavrou [2021-03-09 21:08:22] wrote:

> On 2021-03-09, 15:54 +0000, "Basil L. Contovounesios" <[email-masked]> wrote:
>
>> Protesilaos Stavrou <[email-masked]> writes:
>>
>>> Thank you!  I have amended the patch using the format you recommended.
>>
>> Thanks, LGTM.
>>
>> Have you been able to verify that the tarball is created properly,
>> and especially that the contained .info file is nonempty?
>
> No, the build always gives me errors.  Though I assumed something was
> wrong on my end (I am not familiar with makefiles).  This is not just
> with the modus-themes.  Same for something like project.el.  Please see
> the attached file with the backtrace.

Hmm... indeed.  Can you check if the patch below fixes it for you?

        Stefan

diff --git a/elpa-admin.el b/elpa-admin.el
index 5cb3d261c5..62ba1abcf2 100644
--- a/elpa-admin.el
+++ b/elpa-admin.el
@@ -246,7 +246,7 @@ Do it without leaving the current branch."
                       (expand-file-name (elpaa--main-file pkg-spec) dir)))
                 (default-directory (file-name-directory ftn)))
            (vc-working-revision ftn))))
-    (if (equal rev cur-rev)
+    (if (or (not rev) (equal rev cur-rev))
         (elpaa--message "Current revision is already desired revision!")
       (with-temp-buffer
         (let ((default-directory (elpaa--dirname dir)))